Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookInvoice lines for booking invoices
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
amountintegerAmount of the line item
fee_type"fee" | "deposit"Type of the fee. fee or deposit
item_typetextType of the line item. Most commonly fee
nameMultiLanguageStringName of the line item
quantityintegerQuantity of the line item
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:46:23.814Z",
"updated_at": "2026-03-12T05:46:23.814Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"quantity": 0
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item
fee_typeFilter<"fee" | "deposit">Type of the fee. fee or deposit
item_typeFilter<text>Type of the line item. Most commonly fee
nameFilter<MultiLanguageString>Name of the line item
quantityFilter<integer>Quantity of the line item
200A list of line items with the selected columns
206Partial Content
GET /line_itemscurl -X GET "https://api.bookingmood.com/v1/line_items?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<LineItem> | Array<Partial<LineItem>>201The newly created line items with the selected columns
POST /line_itemscurl -X POST "https://api.bookingmood.com/v1/line_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item
fee_typeFilter<"fee" | "deposit">Type of the fee. fee or deposit
item_typeFilter<text>Type of the line item. Most commonly fee
nameFilter<MultiLanguageString>Name of the line item
quantityFilter<integer>Quantity of the line item
204The deleted line items with the selected columns
DELETE /line_itemscurl -X DELETE "https://api.bookingmood.com/v1/line_items" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item
fee_typeFilter<"fee" | "deposit">Type of the fee. fee or deposit
item_typeFilter<text>Type of the line item. Most commonly fee
nameFilter<MultiLanguageString>Name of the line item
quantityFilter<integer>Quantity of the line item
Partial<LineItem>204The updated line items with the selected columns
PATCH /line_itemscurl -X PATCH "https://api.bookingmood.com/v1/line_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'